﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class TrialHistoryRecordFile : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_SystemDocumentAttachment_TrialDocument_TrialDocumentId",
                table: "SystemDocumentAttachment");

            migrationBuilder.DropIndex(
                name: "IX_SystemDocumentAttachment_TrialDocumentId",
                table: "SystemDocumentAttachment");

            migrationBuilder.DropColumn(
                name: "TrialDocumentId",
                table: "SystemDocumentAttachment");

            migrationBuilder.CreateTable(
                name: "TrialHistoryRecordFile",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联项目文件类型"),
                    FileName = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    FilePath = table.Column<string>(type: "nvarchar(1000)", maxLength: 1000, nullable: false),
                    FileSize = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    FileFormat = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialHistoryRecordFile", x => x.Id);
                });

            migrationBuilder.CreateIndex(
                name: "IX_TrialHistoryRecordFile_CreateUserId",
                table: "TrialHistoryRecordFile",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialHistoryRecordFile_TrialFileTypeId",
                table: "TrialHistoryRecordFile",
                column: "TrialFileTypeId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialHistoryRecordFile_TrialRecordId",
                table: "TrialHistoryRecordFile",
                column: "TrialRecordId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "TrialHistoryRecordFile");

            migrationBuilder.AddColumn<Guid>(
                name: "TrialDocumentId",
                table: "SystemDocumentAttachment",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_SystemDocumentAttachment_TrialDocumentId",
                table: "SystemDocumentAttachment",
                column: "TrialDocumentId");

            migrationBuilder.AddForeignKey(
                name: "FK_SystemDocumentAttachment_TrialDocument_TrialDocumentId",
                table: "SystemDocumentAttachment",
                column: "TrialDocumentId",
                principalTable: "TrialDocument",
                principalColumn: "Id");
        }
    }
}
